### Function

# GLib Error new_valist

since: 2.22

#### Declaration

    GError*
    g_error_new_valist (
      GQuark domain,
      gint code,
      const gchar* format,
      va_list args
    )

#### Description

Creates a new `GError` with the given `domain` and `code`, and a message formatted with `format`.

Available since: 2.22

This function is not directly available to language bindings.

#### Parameters

`domain`

  Type: `GQuark`

  Error domain.

`code`

  Type: `gint`

  Error code.

`format`

  Type: `const gchar*`

  Printf()-style format for error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  # va_list of parameters for the message format.

#### Return value

Type: `GError`

A new `GError`.

The caller of the function takes ownership of the data, and is responsible for freeing it.